# OpenML dataset: New-York-City---Citywide-Payroll-Data

https://www.openml.org/d/43744

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

This dataset is now updated annually here.
Context
This dataset contains the salary, pay rate, and total compensation of every New York City employee. In this dataset this information is provided for the 2014, 2015, 2016, and 2017 fiscal years, and provides a transparent lens into who gets paid how much and for what.
Note that fiscal years in the New York City budget cycle start on July 1st and end on June 30th (see here). That means that this dataset contains, in its sum, compensation information for all City of New York employees for the period July 1, 2014 to June 30, 2017.
Content
This dataset provides columns for fiscal year, employee name, the city department they work for, their job title, and various fields describing their compensation. The most important of these fields is "Regular Gross Pay", which provides that employee's total compensation.
Acknowledgements
This information was published as-is by the City of New York.
Inspiration

How many people do the various city agencies employ, and how much does each department spend on salary in total?
What are the most numerous job titles in civic government employment?
Where does overtime pay seem to be especially common? How much of it is there?
How do New York City employee salaries compare against salaries of city employees in Chicago? Is the difference more or less than the difference in cost of living between the two cities?

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/43744) of an [OpenML dataset](https://www.openml.org/d/43744). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/43744/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/43744/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/43744/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

